Redmine - Defect #11359

Wiki diff doesn't keep spaces
2012-07-10 11:57 - Kouhei Sutou

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed Affected version: 2.0.3
Description

Wiki diff page generates the following HTML:
<div class="text-diff">

<br /> sleep 10

<br /> end
</div>
From:

http://www.redmine.org/projects/redmine/wiki/HowTo_run_Redmine_as_a_Windows_service %28win32-service_+_taskill_approach
%29/diff?version=3&version_from=2&commit=View+differences

And here is div.text-diff style:

.text-diff {

padding: lem;
background-color:#f6f6f6;
color:#505050;

border: lpx solid #ededed;
}

From: source:tags/2.0.3/public/stylesheets/application.css#L.777

Spaces in Wiki page are ignored because the HTML doesn't use <pre> tag and the CSS also doesn't use white-space: pre.

Associated revisions

Revision 17742 - 2018-12-16 07:38 - Jean-Philippe Lang
Use pre tags for wiki diff (#11359).

Patch by Kouhei Sutou.

Revision 17743 - 2018-12-16 07:40 - Jean-Philippe Lang
Adds white-space: pre-wrap; to diff output (#11359).

Patch by Go MAEDA.

History

#1 - 2012-07-10 12:05 - Kouhei Sutou
- File 0001-Don-t-ignore-spaces-in-diff-11359.patch added

Here is a patch that removes simple_format_without_paragraph and surrounds @diff.to_html with <pre class="text-diff"> instead of <div
class="text-diff">.

#2 - 2017-09-17 08:04 - Go MAEDA
- File 11359-before@2x.png added
- File 11359-after@2x.png added
- Target version set to 4.1.0

Before:

+ Overview Activity Roadmap &SN

Bug #18

Updated by Redmine Admin 1 minute ago

hello hello

<pre>
def say_hello

printf puts "Hello, world.\n" world."
end

</pre>

After:

+ Overview Activity Roadmap &SN

Bug #18

Updated by Redmine Admin 1 minute ago

hello hello

<pre>
def say_hello

printf puts "Hello, world.\n" world."
end
</pre>

#3 - 2018-09-22 09:42 - Go MAEDA
- File without-pre-wrap@2x.png added
- File with-pre-wrap@2x.png added

| think it would be better to add white-space: pre-wrap; to text-diff class.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css
index c680fac92..e5224dcab5 100644
—-—— a/public/stylesheets/application.css
+++ b/public/stylesheets/application.css
@@ -1073,6 +1073,7 Q@ button.tab-left.disabled, button.tab-right.disabled {
background-color: #f6f6£f6;
color:#505050;
border: 1lpx solid #ededed;
+ white-space: pre-wrap;

}

/***** Wlkl *****/
Please see the following screenshots. Without white-space: pre-wrap;, you cannot see the whole content of long lines.

Without pre-wrap:

Wiki-test » History » Version 2 History

Version 1 (Redmine Admin, 09/22/2018 04:25 PM) — Version 2/2 (Redmine Admin, 09/22/2018 04:26 PM)

hl. Wiki-test
Abstract

The Hypertext Transfer Protocol (HTTP) is a stateless application-level protocol for distributed, collaborative, hypertext informati

With pre-wrap:
Wiki-test » History » Version 2

Version 1 (Redmine Admin, 09/22/2018 04:25 PM) — Version 2/2 (Redmine Admin, 09/22/2018 04:26 PM)

hl. Wiki-test

Abstract

describes related security concerns for implementations.

The Hypertext Transfer Protocol (HTTP) is a stateless application-level protocol for distributed, collaborative, hypertext
information systems. This document provides an overview of HTTP architecture and its associated terminology, defines the
"http" and "https" Uniform Resource Identifier (URI) schemes, defines the HTTP/1.1 message syntax and parsing requirements, and

History

#4 - 2018-12-16 07:40 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files

0001-Don-t-ignore-spaces-in-diff-11359.patch 1.33 KB 2012-07-10 Kouhei Sutou

11359-before@2x.png 15.7 KB 2017-09-17 Go MAEDA

11359-after@2x.png 15.6 KB 2017-09-17 Go MAEDA

without-pre-wrap@2x.png 25.5 KB 2018-09-22 Go MAEDA

with-pre-wrap@2x.png 43.4 KB 2018-09-22 Go MAEDA
